'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _path = require('path');

var _commander = require('commander');

var _commander2 = _interopRequireDefault(_commander);

var _package = require('../package.json');

var _package2 = _interopRequireDefault(_package);

var _updateNotifier = require('update-notifier');

var _updateNotifier2 = _interopRequireDefault(_updateNotifier);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var moduleStarter = require('./');
var notifier = (0, _updateNotifier2.default)({ pkg: _package2.default });

_commander2.default.version(_package2.default.version).description('Module starter cli tool').usage('[options] [path]');

/**
 * Handle cli arguments
 *
 * @param {string[]} argv - string array of the arguments
 */

exports.default = function (argv) {
  _commander2.default.parse(argv);

  var path = process.cwd();

  if (_commander2.default.args.length) {
    path = (0, _path.resolve)(_commander2.default.args.shift());
  }

  moduleStarter.initilizeModuleDirectory({ path }).then(function () {
    console.log('All done!');

    notifier.notify();
  }).catch(console.log);
};
//# sourceMappingURL=cli.js.map