'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.copyStaticFiles = copyStaticFiles;
exports.fillPackageJson = fillPackageJson;
exports.initilizeModuleDirectory = initilizeModuleDirectory;

var _path = require('path');

var _cpr = require('cpr');

var _cpr2 = _interopRequireDefault(_cpr);

var _pify = require('pify');

var _pify2 = _interopRequireDefault(_pify);

var _jsonfile = require('jsonfile');

var _jsonfile2 = _interopRequireDefault(_jsonfile);

var _lodash = require('lodash');

var _lodash2 = _interopRequireDefault(_lodash);

var _fs = require('fs');

var _partial = require('./partial.js');

var _partial2 = _interopRequireDefault(_partial);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var jf = (0, _pify2.default)(_jsonfile2.default);

function copyStaticFiles(_ref) {
  var path = _ref.path;

  return (0, _pify2.default)(_cpr2.default)((0, _path.join)(__dirname, '../static'), path, { overwrite: true }).then(function () {
    return (0, _pify2.default)(_fs.rename)((0, _path.join)(path, 'gitignore'), (0, _path.join)(path, '.gitignore'));
  });
}

function fillPackageJson(_ref2) {
  var path = _ref2.path;

  var pkgPath = (0, _path.join)(path, 'package.json');

  return jf.readFile(pkgPath).then(function (pkg) {
    var newPkg = _lodash2.default.merge(pkg, _partial2.default);

    return jf.writeFile(pkgPath, newPkg, { spaces: 2 });
  });
}

function initilizeModuleDirectory(_ref3) {
  var path = _ref3.path;

  return copyStaticFiles({ path }).then(function () {
    return fillPackageJson({ path });
  });
}
//# sourceMappingURL=index.js.map